FROM nginx:latest

USER root

RUN apt-get update && apt-get -y dist-upgrade && apt list --upgradable && apt-get -y install nano
# CONFIGURE
RUN apt-get update && \
    apt-get install --fix-missing -y  \
                zip \
                unzip  \
                build-essential  \
                wget  \
                locales  \
                mc  \
                nano  \
                gnupg \
                libzip-dev \
                g++ \
                ca-certificates \
                lsb-release \
                software-properties-common

COPY ./nginx/frontend.conf /etc/nginx/conf.d/
COPY ./nginx/backend.conf /etc/nginx/conf.d/
